---
title: AnimationEffect.updateTiming()
slug: Web/API/AnimationEffect/updateTiming
tags:
  - API
  - Animation
  - Method
  - Reference
  - Web Animations
  - waapi
  - web animations api
---
<p>{{SeeCompatTable}} {{ APIRef("Web Animations API") }}</p>

<p>The <code>updateTiming()</code> method of the {{domxref("AnimationEffect")}} interface updates the specified timing properties for an animation effect.</p>

<h2 id="Syntax">Syntax</h2>

<div class="syntaxbox">
<pre class="brush: js notranslate">animation.updateTiming(timing);</pre>
</div>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>timing</code></dt>
 <dd>An <code><a href="https://drafts.csswg.org/web-animations/#dictdef-optionaleffecttiming">OptionalEffectTiming</a></code> object containing the timing properties to update.</dd>
</dl>

<h3 id="Return_Value">Return Value</h3>

<p>None.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations', '#dom-animationeffect-updatetiming', 'AnimationEffect.updateTiming()' )}}</td>
   <td>{{Spec2('Web Animations')}}</td>
   <td>Editor's draft.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AnimationEffect.updateTiming")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li>{{domxref("AnimationEffect")}}</li>
 <li>{{domxref("Animation")}}</li>
</ul>
